## GeditPrintJob

GeditPrintJob —

## Synopsis

    #define     GEDIT_PRINT_JOB_CONST           (obj)
                GeditPrintJob;
    GeditPrintJob* gedit_print_job_new          (GeditDocument *doc);
    void        gedit_print_job_save_config     (GeditPrintJob *job);
    GtkWidget*  gedit_print_dialog_new          (GeditPrintJob *job);

## Object Hierarchy

      GObject
       +----GtkSourcePrintJob
             +----GeditPrintJob

## Description

## Details

### GEDIT_PRINT_JOB_CONST()

    #define GEDIT_PRINT_JOB_CONST(obj)        (G_TYPE_CHECK_INSTANCE_CAST((obj), GEDIT_TYPE_PRINT_JOB, GeditPrintJob const))

`obj` : |

### GeditPrintJob

    typedef struct _GeditPrintJob GeditPrintJob;

### gedit_print_job_new ()

    GeditPrintJob* gedit_print_job_new          (GeditDocument *doc);

`doc` : |
Returns : |

### gedit_print_job_save_config ()

    void        gedit_print_job_save_config     (GeditPrintJob *job);

`job` : |

### gedit_print_dialog_new ()

    GtkWidget*  gedit_print_dialog_new          (GeditPrintJob *job);

`job` : |
Returns : |